GET /v1/Workspaces/{WorkspaceSid}/Tasks/{TaskSid}/Reservations
twilio.com:twilio_taskrouter_v1
Operation ID: ListTaskReservation
Auth: unknown
Parameters (7)
(integer, query, optional)
The page index. This value is simply for client state.
Constraints: {'minimum': 0}
(integer, query, optional)
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Constraints: {'minimum': 1, 'maximum': 1000}
(string, query, optional)
The page token. This is provided by the API.
(string, query, optional)
Returns the list of reservations for a task with a specified ReservationStatus. Can be: `pending`, `accepted`, `rejected`, or `timeout`.
(string, path, required)
The SID of the reserved Task resource with the TaskReservation resources to read.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WT[0-9a-fA-F]{32}$'}
(string, query, optional)
The SID of the reserved Worker resource to read.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WK[0-9a-fA-F]{32}$'}
(string, path, required)
The SID of the Workspace with the TaskReservation resources to read.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}
No probe data for this endpoint yet.